After using "difference" consider 2 or more separated polygons as one

2015-05-12 07:36 AM - Ekaterina Petrunenko

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.8.2 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 20838

Description

This bug (unconvinience) appears while working with vector layers, particularly when counting difference (Vector> Geoprocessing>

Difference). Sometimes (it depends on sort of data) after subtracting one polygon from another the result looks like 2 or more separated

polygons. But as far as minuend was the one polygon, QGIS consider new separated polygons in a new created layer as one polygon,

which is not very comfortable to work with. This can be solved by spliting one of the polygons into two objects, after this operation all

separated polygons become really independent and separated. And then we can sew splitted part to its parent polygon again, and finally

the work is done. But it will be more comfy to have all polygons independent just after running the difference

History

#1 - 2016-01-20 02:42 AM - Alexander Bruy

Please add sample data to reproduce the bug.

From your description it looks like difference produces multiplolygon features, in this case this is not a bug.

#2 - 2016-01-20 02:43 AM - Alexander Bruy

- Category changed from Vectors to 44

- Status changed from Open to Feedback

#3 - 2016-03-12 12:36 AM - Ekaterina Petrunenko

Alexander Bruy wrote:

Please add sample data to reproduce the bug.

From your description it looks like difference produces multiplolygon features, in this case this is not a bug.

Thank you! I think, you are right, this operation creates multiplolygon features. Could you please advise civilized way to turn multiplolygon feature into

independent polygons?

#4 - 2016-05-22 02:52 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

Ekaterina Petrunenko wrote:

2025-04-27 1/2



ould you please advise civilized way to turn multiplolygon feature into independent polygons?

multipart to singleparts in the vector menu.

#5 - 2016-05-23 04:11 AM - Harrissou Santanna

Might be a feature request, does it sound reasonnable to add a checkbox to the dialog to generate independent single parts polygons instead of

multipolygons?

#6 - 2016-05-23 04:40 AM - Giovanni Manghi

Harrissou Santanna wrote:

Might be a feature request, does it sound reasonnable to add a checkbox to the dialog to generate independent single parts polygons instead of

multipolygons?

yes of course.

#7 - 2016-05-23 06:01 AM - Harrissou Santanna

done in #14870

#8 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
